Article ID: 119267, created on Dec 23, 2013, last review on Feb 3, 2015

  • Applies to:
  • APS 2.x

Symptoms

I receive error "Can't find schema for 'http://www.vendor.com/application/5.0'." or other errors messages regarding schema after importing new application with changed type versions.

Cause

Most probably type version was not changed everywhere:

1) APP-META.xml: ` in navigation

2) schema files in package

3) in ui/ files (apsType for aps/ResourceStore)

4) in case you use aps-php-runtime: php scripts on endpoint

5) in case you use aps-php-runtime: typeCache folder caches old schemas, it should be deleted if schema in scripts is changed.

70bf700e0cdb9d7211df2595ef7276ab 717db81efe94e616312b74fb03a5d474

Email subscription for changes to this article
Save as PDF